[Overview][Classes][Procedures and functions][Index] | Reference for unit 'fpmimetypes' (#fcl)

# TFPMimeTypes.LoadFromStream

Load mime types from a stream in mime.types file format

## Declaration

Source position: fpmimetypes.pp line 64

`public procedure TFPMimeTypes.LoadFromStream(`
`const Stream: TStream`
`); virtual;`

## Arguments

`Stream` |  | Stream to load MIME types from.

## Description

LoadFromStream parses the stream for MIME type definitions and extensions and adds them to the list of known MIME types. The stream is expected to have the text format of the mime.types as found in unix systems.

## See also

TFPMimeTypes.LoadFromFile |  | Load mime types from a file in mime.types file format